<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package veroxa
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head itemscope itemtype="https://schema.org/WebSite">

	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

	<?php wp_head(); ?>

</head>

<body <?php body_class(); ?> itemscope="itemscope" itemtype="https://schema.org/WebPage">
<?php wp_body_open(); ?>

<?php
$header_top_bar = get_theme_mod( 'header_top_bar', '1' );
if ( $header_top_bar == '1' ) {
	?>

	<div class="top-bar clearfix">

		<div class="wrapper">

			<div class="top-bar-left">

				<?php if ( has_nav_menu( 'secondary' ) ) { ?>

					<nav class="secondary-menu">

						<?php
						wp_nav_menu( array(
							'theme_location' 	=> 'secondary',
							'depth'          	=> 1,
							'fallback_cb'		=> false,
						) );
						?>

					</nav>

				<?php } ?>

			</div>

			<div class="top-bar-right">

				<?php if ( has_nav_menu( 'social' ) ) { ?>

					<nav class="social-navigation">

						<?php
						wp_nav_menu( array(
							'theme_location'	=> 'social',
							'depth'          	=> 1,
							'fallback_cb'		=> false,
						) );
						?>

					</nav>

				<?php } ?>

			</div>

		</div>

	</div>

<?php
}
?>

<header id="masthead" class="site-header" itemscope="itemscope" itemtype="http://schema.org/WPHeader">

	<div class="wrapper">

		<div class="site-branding">

			<?php veroxa_site_branding(); ?>

		</div><!-- .site-branding -->

		<div class="header-widget">

			<?php
			// Show header widget
			if ( is_active_sidebar( 'headerwidget' ) ) :

				dynamic_sidebar( 'headerwidget' );

			endif;
			?>

		</div>

	</div><!-- /wrapper -->

</header><!-- .site-header -->

<?php if ( has_nav_menu( 'primary' ) ) : ?>

	<div id="site-header-menu" class="site-header-menu">

		<div class="wrapper">

			<nav id="site-navigation" class="main-navigation" role="navigation">

				<span class="menu-toggle"><i class="fa fa-bars"></i> <?php esc_html_e( 'Menu', 'veroxa' ); ?></span>

				<?php
					wp_nav_menu( array(
						'theme_location'	=> 'primary',
						'menu_class'		=> 'primary-menu',
					) );
				?>
			</nav><!-- .main-navigation -->

		</div><!-- /wrapper -->

	</div><!-- .site-header-menu -->

<?php endif ?>
